### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Brazil Class Reference
Calendars

Brazilian calendar. More...

`#include <ql/time/calendars/brazil.hpp>`

Inheritance diagram for Brazil:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, Exchange }
| Brazilian calendars. More...

## Public Member Functions

| Brazil (Market market=Settlement)

## Detailed Description

Brazilian calendar.

Banking holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Tiradentes's Day, April 21th
- Labour Day, May 1st
- Independence Day, September 7th
- Nossa Sra. Aparecida Day, October 12th
- All Souls Day, November 2nd
- Republic Day, November 15th
- Christmas, December 25th
- Passion of Christ
- Carnival
- Corpus Christi

Holidays for the Bovespa stock exchange

- Saturdays
- Sundays
- New Year's Day, January 1st
- Sao Paulo City Day, January 25th
- Tiradentes's Day, April 21th
- Labour Day, May 1st
- Revolution Day, July 9th
- Independence Day, September 7th
- Nossa Sra. Aparecida Day, October 12th
- All Souls Day, November 2nd
- Republic Day, November 15th
- Black Consciousness Day, November 20th (since 2007)
- Christmas, December 25th
- Passion of Christ
- Carnival
- Corpus Christi
- the last business day of the year

Tests:
  the correctness of the returned results is tested against a list of known holidays.

## Member Enumeration Documentation

enum Market

Brazilian calendars.

Enumerator:

  Settlement | generic settlement calendar
  Exchange | BOVESPA calendar.